function outVals = getMaxIndexDelays(dataMatrix,delIdxs)

tPoints = size(dataMatrix,1);
outVals = zeros(1,tPoints);

for tidx = 1:tPoints
    outVals(tidx) = dataMatrix(tidx,delIdxs(tidx));
end

end
    